class Program
    {
        static async Task Main()
        {
            ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls13 |
                SecurityProtocolType.Tls12 | SecurityProtocolType.Tls11 | SecurityProtocolType.Tls;
            
            // Api-key, полученный у персонального менеджера и secret, сформированный в настройках магазина
            var apiKey = "api-key";
            var secret = "secret-key";
            
            // Url подключения к API
            var apiUrl = "https://payquity.io/merchant-api/api/v2";
            
            // Тело запроса создаваемого счета
            var body = @"{""externalId"": ""test_invoice14"",""amount"": 9.99,""description"": ""описание""}";

            // Солим тело запроса
            var bodyWithSalt = body + secret;
            
            // Вычисляем Md5 хеш
            var hasher = MD5.Create();
            var encodedBodyBytes = Encoding.UTF8.GetBytes(bodyWithSalt);
            
            var hash = hasher.ComputeHash(encodedBodyBytes);
            var sign = Convert.ToBase64String(hash);
            
            using (var client = new HttpClient())
            {
                // Формируем Http-запрос и определяем требуемые заголовки 
                var context = new StringContent(body, Encoding.UTF8, "application/json");
                
                context.Headers.Add("x-sign", sign);
                context.Headers.Add("x-api-key", apiKey);
                var endpointUrl = Path.Combine(apiUrl, "invoices");
                var response = await client.PostAsync(endpointUrl, context);
                response.EnsureSuccessStatusCode();
                
                //Получаем ответ и выводим ссылку на оплату созданного счета
                var responseBody = await response.Content.ReadAsStringAsync();
                var jsonDocument = JsonSerializer.Deserialize<JsonElement>(responseBody);
                
                var paymentLink = jsonDocument.GetProperty("data").GetProperty("paymentLink").GetString();
                Console.WriteLine(paymentLink);
            }
        }
    }